// Définir les bornes du capteur
int trig = 12; // Broche TRIGGER
int echo = 11; // Broche ECHO

// Définir la variable temps en µs et la célérité en m/s
int temps;
const float vitesse = 340.0;

// Fonction setup()exécutée une seule fois au lancement.
int compt = 0; // compteur des mesures à 0
void setup() {
Serial.begin(9600);// permet la communication avec la carte
pinMode(trig, OUTPUT); // trig en sortie : emission de l'onde
digitalWrite(trig, LOW); // initialise la broche trig à 0
pinMode(echo, INPUT); // echo en entrée: reception de l'onde
}
 
// Fonction loop()donne les instructions exécutées en boucle
void loop(){
compt += 1; // incrémente de 1 le compteur des mesures
digitalWrite(trig, HIGH);// emission d'une onde sur la broche TRIGGER 
delayMicroseconds(10); // l'onde émise a une durée de 10 µs
digitalWrite(trig, LOW); // stoppe l'émission de l'onde
temps = pulseIn(echo,HIGH); // réception de l'echo et mesure du temps grâce à la fonction pulseIn
float distance = vitesse * temps * 1E-06 / 2 ; // calcule la distance à partir du temps mesuré 

Serial.print(distance,3);
Serial.print(","); // affiche le compteur de mesures
delay(20); // délais de 20 ms avant l’envoi d’une nouvelle onde
if (compt >99){ exit(0) ; // stoppe le compteur de mesures (100 mesures)
}
}
